#!/bin/sh

name="manedit"
title="ManEdit"
package="manedit"
version="0.5.9"
build="1"
noarch="n"
build_info="Standard build."

info="A UNIX Manual (man, manpage) page editor, viewer, and browser."
desc="The ManEdit UNIX Manual Page Editor is an editor specifically
tailored for UNIX manual pages. It has a preview viewer, uses
the manual page XML format for easy editing, and comes with a
tutorial and reference guide. It uses the GTK+ widget set and
features syntax highlighting, a complete drag and drop system
for easy viewing and editing, a crash recovery system, and
sample manual page templates."
category="editor/documentation"
environment="x11/gtk"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,INSTALL,LICENSE,README"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://wolfpack.twu.net/users/wolfpack/$name-$version.tar.bz2

apply_patch manedit-mcpu.pw.patch
apply_patch manedit-noarchdep.pw.patch
apply_patch manedit-destdir.pw.patch
apply_patch manedit-arch-i386.pw.patch

build_host_off

configure_option Linux
configure_option -v
configure_option --enable=arch-$architecture

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

bunzip2 $pkg_main/usr/man/man1/manedit.1.bz2

make_docs

make_package main

clean_up

# $Log: manedit.builder,v $
# Revision 1.7  2003/03/21 21:02:28  swiergot
# - Build 1.
#
# Revision 1.6  2003/03/21 20:53:51  swiergot
# - bunzip2 a manual page that is compressed by "make install".
#
# Revision 1.5  2003/03/21 20:44:57  swiergot
# - Version 0.5.9.
# - Removed the isblank patch (not needed anymore).
#
# Revision 1.4  2003/01/05 16:36:51  swiergot
# - Build 1.
#
# Revision 1.3  2003/01/04 19:43:18  swiergot
# - Set proper docs_source.
#
# Revision 1.2  2003/01/04 19:15:01  swiergot
# - Added a arch-i386 patch to build with -march=i386 in the case of i386
#   target architecture.
#
# Revision 1.1  2003/01/04 19:00:12  swiergot
# - Version 0.5.6.
#
